@use "colors";
@use "typography";

.collapsible-text {
    margin: 1.1rem 0;

    &:nth-of-type(3n + 2) {
        background-color: colors.$blue-light;
    }

    &:nth-of-type(3n) {
        background-color: colors.$turquoise-light;
    }

    &:nth-of-type(3n + 1) {
        background-color: colors.$yellow-light;
    }

    .form-control-label span {
        display: none;
    }

    .form-control-label div {
        display: flex;
        align-content: flex-start;
        align-items: center;
        justify-content: flex-start;
    }

    .form-control-label svg {
        width: 3rem;
        margin-left: 0.75rem;
    }

    .form-control-label .collapsible-title {
        margin: 1rem 0;
        font-family: Graph;
        font-weight: bold;
    }

    .MuiCollapse-wrapperInner {
        padding: 0 1rem;
    }

    .markdown {
        display: inline-block;
        @include typography.break-words;
    }

}